/// <reference types="react" />
export declare const isSafari: () => boolean;
export declare const getStyle: typeof getComputedStyle;
export declare const getVerticalPadding: (style: CSSStyleDeclaration) => number;
export declare const getHorizontalPadding: (style: CSSStyleDeclaration) => number;
export declare const getPointedElement: (textarea: HTMLElement, backdrop: HTMLElement, e: React.MouseEvent) => HTMLElement | null;
export declare const dispatchClonedMouseEvent: (pointed: HTMLElement, e: MouseEvent) => void;
export declare const dispatchMouseMoveEvent: (pointed: HTMLElement | null, prevPointed: React.MutableRefObject<HTMLElement | null>, e: MouseEvent) => void;
export declare const dispatchMouseOutEvent: (prevPointed: React.MutableRefObject<HTMLElement | null>, e: MouseEvent, pointed: HTMLElement | null) => void;
export declare const stopPropagation: (event: React.MouseEvent) => void;
export declare const syncBackdropStyle: (textarea: HTMLElement, backdrop: HTMLElement, caretColorRef: React.MutableRefObject<string>, style?: import("react").CSSProperties | undefined) => void;
