/// <reference types="react" />
export declare type Renderer = (value: string) => React.ReactNode;
export declare type StyleOrRender = React.CSSProperties | ((props: {
    children: React.ReactNode;
    value: string;
    key?: string | undefined;
}) => React.ReactNode);
export declare const createRegexRenderer: (matchers: [RegExp, StyleOrRender][]) => Renderer;
